Public Member Functions | Public Attributes | List of all members
libvisio::Colour Struct Reference

`#include <VSDTypes.h>`

## Public Member Functions
| Colour (unsigned char red, unsigned char green, unsigned char blue, unsigned char alpha)
| Colour ()
bool | operator== (const Colour &col) const
bool | operator!= (const Colour &col) const
bool | operator! () const

## Public Attributes
unsigned char | r
unsigned char | g
unsigned char | b
unsigned char | a

## Constructor & Destructor Documentation

## ◆ Colour() [1/2]

libvisio::Colour::Colour | ( | unsigned char | red,
|  | unsigned char | green,
|  | unsigned char | blue,
|  | unsigned char | alpha )
| inline

Referenced by operator!=(), and operator==().

## ◆ Colour() [2/2]

libvisio::Colour::Colour | ( |  | ) |
| inline

## Member Function Documentation

## ◆ operator!()

bool libvisio::Colour::operator! | ( |  | ) | const
| inline

## ◆ operator!=()

bool libvisio::Colour::operator!= | ( | const Colour & | col | ) | const
| inline

## ◆ operator==()

bool libvisio::Colour::operator== | ( | const Colour & | col | ) | const
| inline

Referenced by operator!=().

## Member Data Documentation

## ◆ a

unsigned char libvisio::Colour::a

Referenced by libvisio::VSDContentCollector::_fillAndShadowProperties(), libvisio::VSDContentCollector::_fillCharProperties(), libvisio::VSDContentCollector::_lineProperties(), Colour(), Colour(), operator!(), operator==(), libvisio::VSD6Parser::readCharIX(), libvisio::VSDParser::readCharIX(), libvisio::VSDParser::readColours(), libvisio::VSD6Parser::readFillAndShadow(), libvisio::VSDParser::readFillAndShadow(), libvisio::VSDParser::readLayer(), libvisio::VSDParser::readLine(), and libvisio::VSDParser::readTextBlock().

## ◆ b

unsigned char libvisio::Colour::b

Referenced by Colour(), Colour(), libvisio::getColourString(), operator!(), operator==(), libvisio::VSD6Parser::readCharIX(), libvisio::VSDParser::readCharIX(), libvisio::VSDParser::readColours(), libvisio::VSD6Parser::readFillAndShadow(), libvisio::VSDParser::readFillAndShadow(), libvisio::VSDXTheme::readFillStyleLst(), libvisio::VSDParser::readLayer(), libvisio::VSDParser::readLine(), and libvisio::VSDParser::readTextBlock().

## ◆ g

unsigned char libvisio::Colour::g

Referenced by Colour(), Colour(), libvisio::getColourString(), operator!(), operator==(), libvisio::VSD6Parser::readCharIX(), libvisio::VSDParser::readCharIX(), libvisio::VSDParser::readColours(), libvisio::VSD6Parser::readFillAndShadow(), libvisio::VSDParser::readFillAndShadow(), libvisio::VSDXTheme::readFillStyleLst(), libvisio::VSDParser::readLayer(), libvisio::VSDParser::readLine(), and libvisio::VSDParser::readTextBlock().

## ◆ r

unsigned char libvisio::Colour::r

Referenced by Colour(), Colour(), libvisio::getColourString(), operator!(), operator==(), libvisio::VSD6Parser::readCharIX(), libvisio::VSDParser::readCharIX(), libvisio::VSDParser::readColours(), libvisio::VSD6Parser::readFillAndShadow(), libvisio::VSDParser::readFillAndShadow(), libvisio::VSDXTheme::readFillStyleLst(), libvisio::VSDParser::readLayer(), libvisio::VSDParser::readLine(), and libvisio::VSDParser::readTextBlock().

The documentation for this struct was generated from the following file:

- VSDTypes.h